<?php
class Search_Text extends netsControl {
	public function Search_Text(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
?>
<!-- #<?php echo ($tmpControl); ?> -->
<div id="<?php echo ($tmpControl); ?>PanelBox" class="SearchCell">
<!--S.<?php echo ($tmpControl); ?>-->
<div id="<?php echo ($tmpControl); ?>_Label" class="SearchTitle"><?php echo ($pColumn['stcoctUiName']); ?>：</div>
<div class="SearchControl"><input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="text" class="SControl1 SearchTxt"
onclick="tmpControl.onControlLight(this,'SearchTxt');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'SearchTxt');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
value="<?php echo ($pColumn['Value']); ?>" style="<?php echo ($pColumn['ControlStyle']); ?>" /></div>
<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></div>
<?php
	}
}
?>